//--------------------------------------------------------------
// File     : main.c
// Datum    : 31.10.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F429
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der UART-Lib
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
// In Configuration diese Define hinzufgen :
// "STM32F429_439xx" , "__ASSEMBLY__" , "USE_STDPERIPH_DRIVER"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_uart.h"

int main(void)
{
  UART_RXSTATUS_t check;
  char rx_buf[RX_BUF_SIZE];

  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom UART (COM1 : TX=PA9, RX=PA10)
  UB_Uart_Init();

  // Text senden
  UB_Uart_SendString(COM1, "Hallo", CRLF);

  while(1)
  {
    // test ob etwas per COM1 empfangen wurde
    check=UB_Uart_ReceiveString(COM1,rx_buf);
    if(check==RX_READY) {
      // wenn ja, dann als Echo zurcksenden
      UB_Uart_SendString(COM1, rx_buf, CRLF);
    }
  }
}

